#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: bytestring-strict-builder
version: 0.4.5
id: bytestring-strict-builder-0.4.5-5MXDX8KK6On2ooOaqK4WY5
key: bytestring-strict-builder-0.4.5-5MXDX8KK6On2ooOaqK4WY5
license: MIT
copyright: (c) 2017, Nikita Volkov
maintainer: Nikita Volkov <nikita.y.volkov@mail.ru>
homepage: https://github.com/nikita-volkov/bytestring-strict-builder
synopsis: An efficient strict bytestring builder
description:
    According to
    <https://github.com/nikita-volkov/bytestring-builders-benchmark the competition benchmarks>,
    this library provides on average the fastest builder of strict bytestrings.
    .
    Practical benchmarks have proven it to be highly performant as well.
    The encoders from the \"postgresql-binary\" library have shown
    a stable performance improvement by factors of up to 10 after the migration
    from the standard builder to \"bytestring-strict-builder\".
category: Text, ByteString, Builders, Serialization
author: Nikita Volkov <nikita.y.volkov@mail.ru>
exposed: True
indefinite: False
exposed-modules:
    ByteString.StrictBuilder
hidden-modules: ByteString.StrictBuilder.Prelude
                ByteString.StrictBuilder.Population
                ByteString.StrictBuilder.Population.UncheckedShifting
                ByteString.StrictBuilder.UTF8
abi: d40d187de644610e0e6c5a7aac48c036
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/bytestring-strict-builder-0.4.5
library-dirs: /usr/lib/ghc-8.2.1/site-local/bytestring-strict-builder-0.4.5
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/bytestring-strict-builder-0.4.5
hs-libraries: HSbytestring-strict-builder-0.4.5-5MXDX8KK6On2ooOaqK4WY5
depends:
    semigroups-0.18.3-6KPIVJcHqOOBHjBl8WA5LP bytestring-0.10.8.2
    base-prelude-1.2.0.1-GfnST6wywTP6rNqw8BISGT base-4.10.0.0
abi-depends: semigroups-0.18.3-6KPIVJcHqOOBHjBl8WA5LP=f833729171d8aeedacf984b736ec248c
             bytestring-0.10.8.2=590a7a3c0bdcf7a6a59d8c8ef548a44a
             base-prelude-1.2.0.1-GfnST6wywTP6rNqw8BISGT=b90da37ac42a33b96ab023921895831f
             base-4.10.0.0=835a16347ec1b210054efd02671c29ee
haddock-interfaces: /usr/share/doc/haskell-bytestring-strict-builder/html/bytestring-strict-builder.haddock
haddock-html: /usr/share/doc/haskell-bytestring-strict-builder/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

